Commerce

  • OpenAPI Version: 3.1.1
  • API Version: 2

Zoom Commerce APIs allows partners to manage subscriptions, enable intergrations, and more.

Servers

  • URL: https://api.zoom.us/v2

Operations

Create an end customer account

  • Method: POST
  • Path: /commerce/account
  • Tags: Account Management

Creates an end customer account. Note Please check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:write:admin

Granular Scopes: zoom_commerce:write:sub_account:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Request Body

Content-Type: application/json
  • account_name (required)

    string — The account's name.

  • billing_address (required)

    object — The address details.

    • city (required)

      string — The city name.

    • country (required)

      string — The ISO country code.

    • line_1 (required)

      string — The street address.

    • postal_code (required)

      string — The postal or ZIP code.

    • state (required)

      string — The state or province.

  • contacts (required)

    array — The account's contact details. Provide at least one contact.

    Items:

    • business_phone (required)

      string — The contact's business phone number.

    • company_email (required)

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • first_name (required)

      string — The contact's first name.

    • job_title (required)

      string — The contact's job title.

    • last_name (required)

      string — The contact's last name.

    • primary_role

      string, possible values: "Admin", "Decision Maker", "Economic Buyer", "Executive Sponsor", "Zoom Champion", "Zoom Coach", "Influencer", "Technical Evaluator", "End User", "Legal", "Procurement", "Vendor Manager", "Sourcing Manager", "Billing" — The contact's primary role.

  • currency (required)

    string — The ISO currency code.

  • employee_count (required)

    string, possible values: "Just Me", "2-10", "11-50", "51-250", "251-500", "501-1000", "1001-5000", "5001-10000", "10001+" — The company's employee count.

  • website (required)

    string — The company's website. It should not be any social media handle or Facebook, Google, and eBay shopping front.

  • sub_reseller_crm_account_number

    string — The sub-reseller's CRM account number.

Example:

{
  "account_name": "John Galt",
  "employee_count": "251-500",
  "website": "www.example.com",
  "sub_reseller_crm_account_number": "A-45733",
  "contacts": [
    {
      "first_name": "Tracy",
      "last_name": "Smith",
      "job_title": "Account Executive",
      "company_email": "tsmith@somecompany.com",
      "business_phone": "192837489342",
      "primary_role": "Decision Maker"
    }
  ],
  "currency": "USD",
  "billing_address": {
    "line_1": "55 Almaden Blvd",
    "city": "San Jose",
    "postal_code": "95114",
    "state": "PA",
    "country": "US"
  }
}

Responses

Status: 201 The account creation request was submitted successfully.
Content-Type: application/json
  • create_reference_id

    string — The unique reference ID for this account creation process. Please use this ID for checking the status.

  • crm_account_number

    string — The unique CRM account number.

  • status

    string, possible values: "submitted", "success", "partial success", "failure" — The supported status.

  • status_detail

    string — The details in case of partial success or failure.

Example:

{
  "create_reference_id": "ACC-2333",
  "crm_account_number": "A-0012",
  "status": "submitted",
  "status_detail": "one or more contact creation failed."
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5101` <br> More than 1 account found with given domain. <br> **Error Code:** `5102` <br> Account name must be at most 255 characters. <br> **Error Code:** `5103` <br> Account name cannot be blank. <br> **Error Code:** `5104` <br> Account name must not contain following special characters @ # $ % ^ + = : | <br> **Error Code:** `5105` <br> First name must be at most 40 characters. <br> **Error Code:** `5106` <br> First name cannot be blank. <br> **Error Code:** `5107` <br> Last name must be at most 80 characters. <br> **Error Code:** `5108` <br> Last name cannot be blank. <br> **Error Code:** `5109` <br> Job title must be at most 128 characters. <br> **Error Code:** `5110` <br> Invalid company email. <br> **Error Code:** `5111` <br> Company email must be at most 80 characters. <br> **Error Code:** `5010` <br> Business phone must be between 10 to 15 characters long. <br> **Error Code:** `5113` <br> Address Line1 must be at most 255 characters. <br> **Error Code:** `5114` <br> City must be at most 40 characters. <br> **Error Code:** `5115` <br> State must be at most 80 characters. <br> **Error Code:** `5116` <br> Postal Code must be at most 20 characters. <br> **Error Code:** `5117` <br> Website must be in URL syntax. <br> **Error Code:** `5118` <br> Country cannot be blank. <br> **Error Code:** `5119` <br> Currency cannot be blank. <br> **Error Code:** `5120` <br> No account found. <br> **Error Code:** `5121` <br> Account create or update already in progress. <br> **Error Code:** `5122` <br> Employee count cannot be blank. <br> **Error Code:** `5123` <br> Invalid employee count. <br> **Error Code:** `5124` <br> Billing Address cannot be blank. <br> **Error Code:** `5125` <br> City cannot be blank. <br> **Error Code:** `5126` <br> Postal Code cannot be blank. <br> **Error Code:** `5127` <br> Invalid country. <br> **Error Code:** `5128` <br> State cannot be blank. <br> **Error Code:** `5402` <br> Currency should be a valid ISO currency code <br> **Error Code:** `5130` <br> Company email cannot be blank. <br> **Error Code:** `5131` <br> AddressLine1 cannot be blank. <br> **Error Code:** `5132` <br> Website cannot be blank. <br> **Error Code:** `5133` <br> The email domain of the contact must match the domain of the account website. <br> **Error Code:** `5134` <br> The contact's email domain is whitelisted as public and is therefore not permitted. <br> **Error Code:** `5138` <br> Invalid contact primary role. <br> **Error Code:** `5139` <br> At least 1 account contact is required, and company emails must be unique and have the same domain. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request. Please try again later.

Add contacts to an existing end customer or your own account.

  • Method: POST
  • Path: /commerce/account/{accountKey}/contacts
  • Tags: Account Management

Add contacts to an existing end customer or your own account.
Note: Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:write:admin

Granular Scopes: zoom_commerce:update:account:admin

Rate Limit Label: MEDIUM

Not supported in Gov cluster

Request Body

Content-Type: application/json
  • contacts

    array — The contact details for the account. At least one contact should be provided.

    Items:

    • business_phone (required)

      string — The contact's business phone number.

    • company_email (required)

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • first_name (required)

      string — The contact's first name.

    • job_title (required)

      string — The contact's job title.

    • last_name (required)

      string — The contact's last name.

    • primary_role

      string, possible values: "Admin", "Decision Maker", "Economic Buyer", "Executive Sponsor", "Zoom Champion", "Zoom Coach", "Influencer", "Technical Evaluator", "End User", "Legal", "Procurement", "Vendor Manager", "Sourcing Manager", "Billing" — The contact's primary role.

Example:

{
  "contacts": [
    {
      "first_name": "Tracy",
      "last_name": "Smith",
      "job_title": "Account Executive",
      "company_email": "tsmith@somecompany.com",
      "business_phone": "192837489342",
      "primary_role": "Decision Maker"
    }
  ]
}

Responses

Status: 200 Account contact request submitted successfully.
Content-Type: application/json
  • create_reference_id

    string — The unique reference ID for this account creation process. Use this ID for checking the status.

  • crm_account_number

    string — The unique CRM account number.

  • status

    string, possible values: "submitted", "success", "partial success", "failure" — The current status of the request: submitted, success, partial success, or failure.

  • status_detail

    string — Additional details in case of partial success or error.

Example:

{
  "create_reference_id": "ACC-2333",
  "crm_account_number": "A-0012",
  "status": "submitted",
  "status_detail": "One or more contact creation failed."
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5105` <br> First name must be at most 40 characters <br> **Error Code:** `5106` <br> First name cannot be blank. <br> **Error Code:** `5107` <br> Last name must be at most 80 characters. <br> **Error Code:** `5108` <br> Last name cannot be blank. <br> **Error Code:** `5109` <br> Job title must be at most 128 characters. <br> **Error Code:** `5110` <br> Invalid company email. <br> **Error Code:** `5111` <br> Company email must be at most 80 characters. <br> **Error Code:** `5112` <br> Business phone must be at most 15 characters. <br> **Error Code:** `5121` <br> Account create or update already in progress. <br> **Error Code:** `5130` <br> Company email cannot be blank. <br> **Error Code:** `5139` <br> At least 1 account contact is required, and company emails must be unique and have the same domain. <br> **Error Code:** `5138` <br> Invalid contact primary role. <br> **Error Code:** `5120` <br> No account found. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found No account found.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request. Please try again later.

Get the list of all accounts associated with a Zoom Partner/Sub-Reseller, by the account type

  • Method: GET
  • Path: /commerce/accounts
  • Tags: Account Management

Returns the list of all accounts associated with a Zoom Partner and Sub-Reseller, by the account type - endCustomer, subReseller, and relatedPartner.
Note: Please check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:account:admin

Rate Limit Label: MEDIUM

Not supported in Gov cluster

Responses

Status: 200 This endpoint returns the end customer account list.
Content-Type: application/json
  • account_list (required)

    array — The list of accounts.

    Items:

    • account_name

      string — The account name.

    • account_type

      string, possible values: "Partner", "Customer" — The account type: Partner or Customer.

    • country

      string — The ISO code for the account country.

    • create_reference_id

      string — The unique reference ID for the account created by the Zoom commerce API.

    • crm_account_number

      string — The unique CRM account number.

    • currency

      string — The ISO code for the account currency.

    • partner_type

      string, possible values: "Distributor", "Subreseller", "Reseller", "Carrier" — The partner type.

    • status

      string, possible values: "submitted", "success", "partial success", "failure", "in review", "failed to submit" — The current status of an account.

    • website

      string — The account's website.

    • zoom_account_number

      string — The Zoom account number (ZAN).

    • zoom_account_numbers

      array — Additional Zoom account numbers (ZAN) associated with this CRM account.

      Items:

      number

  • page_count

    integer — The total number of pages in the result set.

Example:

{
  "page_count": 20,
  "account_list": [
    {
      "create_reference_id": "Cust-00123343242",
      "crm_account_number": "A0012",
      "account_name": "John Galt",
      "zoom_account_number": "3842618277",
      "zoom_account_numbers": [
        3842618277
      ],
      "account_type": "Customer",
      "partner_type": "Subreseller",
      "country": "US",
      "currency": "USD",
      "website": "www.abc.com",
      "status": "submitted"
    }
  ]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5007` <br> Invalid page number. It must start with 1 or more. <br> **Error Code:** `5008` <br> Invalid page size. It must be between 1 and 99. <br> **Error Code:** `5140` <br> Invalid account type. It must be one of: endCustomer, subReseller, relatedPartner. <br> **Error Code:** `5000` <br> Invalid character & or | in the name filter. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](/docs/api/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Get the account details for a Zoom Partner/Subreseller/End Customer

  • Method: GET
  • Path: /commerce/accounts/{accountKey}
  • Tags: Account Management

Returns the account details for a Zoom Partner, Subreseller, and End Customer.
Note: Please check the base URL for sandbox and production environments under the Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:account:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Responses

Status: 200 The account details.
Content-Type: application/json
  • account_name

    string — The account name.

  • account_type

    string, possible values: "Partner", "Customer" — The account type can be either Partner or Customer.

  • billing_address

    object — The address details.

    • city (required)

      string — The city name.

    • country (required)

      string — The ISO code for the country.

    • line_1 (required)

      string — The street address.

    • state (required)

      string — The state or province.

    • line_2

      string — The street address.

    • line_3

      string — The street address.

    • postal_code

      string — The Postal or ZIP code number.

  • contacts

    array — The contacts.

    Items:

    • business_phone (required)

      string — The contact's business phone number.

    • company_email (required)

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • first_name (required)

      string — The contact's first name.

    • job_title (required)

      string — The contact's job title.

    • last_name (required)

      string — The contact's last name.

    • contact_crm_number

      string — The contact's unique CRM number.

    • primary_role

      string, possible values: "Admin", "Decision Maker", "Economic Buyer", "Executive Sponsor", "Zoom Champion", "Zoom Coach", "Influencer", "Technical Evaluator", "End User", "Legal", "Procurement", "Vendor Manager", "Sourcing Manager", "Billing" — The contact's primary role.

  • create_reference_id

    string — The unique reference ID for this account. Please use this ID for getting the account details if the account doesn't have an account number.

  • created_on_date

    string, format: YYYY-MM-DD — The creation date.

  • crm_account_number

    string — The unique ID for the account in the Zoom CRM system.

  • currency

    string — The ISO currency code for the account currency.

  • employee_count

    string, possible values: "Just Me", "2-10", "11-50", "51-250", "251-500", "501-1000", "1001-5000", "5001-10000", "10000+" — The company's employee count. Supported values are - Just Me, 2-10, 11-50, 51-250, 251-500, 501-1000, 1001-5000, 5001-10000, and 10000+.

  • errors

    array — Array of messages in case of validation or processing errors.

    Items:

    • error_code

      string — Error code.

    • error_description

      string — Error description.

  • partner_type

    string, possible values: "Distributor", "Subreseller", "Reseller", "Carrier" — The partner type.

  • status

    string, possible values: "submitted", "success", "partial success", "failure", "in review", "failed to submit" — The current status of an account.

  • status_detail

    string — The details in case of partial success or failure.

  • website

    string — The company's website. It should not be any social media handle or Facebook, Google, and eBay shopping front.

  • zoom_account_number

    string — The unique Zoom account number. This is the identifier which the end customer should refer to in any communication with Zoom.

  • zoom_account_numbers

    array — Additional Zoom account numbers (ZAN) associated with this CRM account.

    Items:

    number

Example:

{
  "crm_account_number": "A-0012",
  "create_reference_id": "ACC-2333",
  "status": "submitted",
  "status_detail": "Contact update failure.",
  "zoom_account_number": "1223837102",
  "zoom_account_numbers": [
    3842618277
  ],
  "account_name": "ABC Pvt Ltd.",
  "account_type": "Customer",
  "created_on_date": "2022-10-18",
  "employee_count": "51-250",
  "website": "www.example.com",
  "currency": "US",
  "partner_type": "Subreseller",
  "contacts": [
    {
      "contact_crm_number": "A-12428",
      "first_name": "Tracy",
      "last_name": "Smith",
      "job_title": "Account Executive",
      "company_email": "tsmith@somecompany.com",
      "business_phone": "192837489342",
      "primary_role": "Decision Maker"
    }
  ],
  "billing_address": {
    "line_1": "55 Almaden Blvd",
    "line_2": "Suite 10",
    "line_3": "Tower A",
    "city": "San Jose",
    "postal_code": "95114",
    "state": "PA",
    "country": "US"
  },
  "errors": [
    {
      "error_code": "5012",
      "error_description": "Invalid contact email."
    }
  ]
}
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `5009` <br> No records found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests For more information, see [rate limits](/docs/api/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request. Please try again later.

Gets all billing documents for a distributor or a reseller

  • Method: GET
  • Path: /commerce/billing_documents
  • Tags: Billing

Returns all billing documents for a distributor or a reseller.

Billing Documents represent the end customer's invoices, credit memos and debit memos. The response can be filtered by status, document date etc. By default, the list of unpaid invoices in the last 1 month are retrieved.

Note: Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:billing_documents:admin

Rate Limit Label: MEDIUM

Not supported in Gov cluster

Responses

Status: 200 Billing documents retrieved successfully.
Content-Type: application/json
  • billing_documents

    array — The billing document list.

    Items:

    • balance

      object — This field represents the sale price, list price, net amount, or gross amount.

      • amount

        number — The monetary value.

      • currency

        string — The ISO code for the currency.

    • billing_description

      string — The description or any other detail about the document.

    • customer_name

      array — The end customer account name.

      Items:

      string

    • customer_zoom_account_number

      number — The end customer zoom account number.

    • document_date

      string — The document date.

    • document_number

      string — The document number.

    • document_type

      string, possible values: "invoice", "credit_memo", "debit_memo" — The type of the billing document: invoice, credit memo, or debit memo.

    • due_date

      string — The document due date.

    • invoice_owner_name

      string — The invoice owner's name.

    • net_amount

      object — This field represents sale price, list price, net amount, or gross amount.

      • amount

        number — money value

      • currency

        string — The ISO code for the currency.

    • payment_status

      string, possible values: "Paid", "Unpaid" — The status of the document: paid or unpaid.

    • po_number

      string — Purchase order number

    • posted_date

      string — The posted date for the document.

    • reason_detail

      string — The reason description or detail for which this document has been generated.

    • reference_billing_document_id

      string — Any other billing document associated with this invoice or credit memo or debit memo.

    • sub_reseller_name

      string — The sub-reseller name if the subscription was created by a distributor on their behalf.

  • document_count

    integer — The total number of documents.

  • next_page_token

    string — The token for the next page in the record set if result has more records than the number specified by the page size. The next page token paginates through a large set of results. A next page token returns whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.

Example:

{
  "document_count": 100,
  "billing_documents": [
    {
      "document_number": "INVC10235997",
      "document_date": "2023-10-25T00:00:00.000Z",
      "document_type": "invoice",
      "customer_name": [
        "ABC Pvt. Ltd."
      ],
      "customer_zoom_account_number": 4435343789,
      "sub_reseller_name": "Subreseller One",
      "invoice_owner_name": "Subreseller One",
      "due_date": "2023-11-25T00:00:00.000Z",
      "payment_status": "Paid",
      "balance": {
        "amount": 99.99,
        "currency": "USD"
      },
      "net_amount": {
        "amount": 99.99,
        "currency": "USD"
      },
      "po_number": "PO-10021-A",
      "billing_description": "Correcting invoice error",
      "posted_date": "2023-10-26",
      "reason_detail": "Correcting invoice error",
      "reference_billing_document_id": "8a8aa183907cc66e01907d722e232bcd"
    }
  ],
  "next_page_token": "gfrnkgrgfe4583492"
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5504` <br> Payment Status valid values are : paid, unpaid, and all. <br> **Error Code:** `5505` <br> Date range cannot be more than 3 years. <br> **Error Code:** `5002` <br> Invalid date format. Expected format: YYYY-MM-DD. <br> **Error Code:** `5008` <br> Invalid page size. It must be between 1 and 99. <br> **Error Code:** `5506` <br> 5506 - Invalid sort values. It must be one of: documentNumber.asc, documentDate.asc, dueDate.asc, balance.asc, documentNumber.desc, documentDate.desc, dueDate.desc, and balance.desc. <br> **Error Code:** `5507` <br> Multiples fields not supported in sorting. <br> **Error Code:** `5000` <br> Invalid character & or | in the name filter. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Gets the PDF document for the billing document ID

  • Method: GET
  • Path: /commerce/billing_documents/{documentNumber}/document
  • Tags: Billing

Returns the PDF document for the billing document ID.

Note: Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:billing_documents:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Responses

Status: 200 The billing document PDF retrieved successfully.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `5501` <br> No document found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition, which prevented it from fulfilling the request.

Get detailed information about a specific invoice for a distributor or a reseller

  • Method: GET
  • Path: /commerce/invoices/{invoiceNumber}
  • Tags: Billing

Returns detailed information about a specific invoice for a distributor or a reseller.

To filter the details for a particular end customer provide the end customer Zoom account number or CRM account number.
Note: Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:billing_documents:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Responses

Status: 200 The invoice details retrieved successfully.
Content-Type: application/json
  • balance

    object — This field represents the sale price, list price, net amount, or gross amount.

    • amount

      number — The monetary value.

    • currency

      string — The ISO code for the currency.

  • bill_to_contact

    object — Bill to contact details.

    • crm_contact_number

      string — Unique CRM Number for the contact

    • email

      string — The contact's email ID.

    • first_name

      string — The first name of the bill to contact.

    • last_name

      string — The last name of the bill to contact.

  • billing_description

    string — The description or any other detail about the document.

  • customer_name

    array — The end customer account name.

    Items:

    string

  • due_date

    string — The document due date.

  • invoice_date

    string — The document date.

  • invoice_items

    array — The invoice items.

    Items:

    • charge_name

      string — The name of the charge.

    • charge_type

      string — The type of the charge

    • description

      string — The description of the invoice item

    • end_customer_account

      object — Account details.

      • account_name

        string — The account name

      • address

        object — Address details

        • address_type (required)

          string, possible values: "billTo", "shipTo", "soldTo" — Type of address - billTo, shipTo, soldTo

        • city (required)

          string — City name

        • country (required)

          string — ISO code for the country

        • line_1 (required)

          string — Street address

        • state (required)

          string — State or Province

        • line_2

          string — Street address

        • line_3

          string — Street address

        • postal_code

          string — Postal or Zip Code/number

      • crm_account_number

        string — Unique CRM Account Number for the customer or partner/reseller.

      • zoom_account_number

        string — Unique Zoom Account Number for the customer or partner/reseller.

    • end_date

      string, format: YYYY-MM-DD — The end date of the service period for this item, i.e., the last day of the service period

    • offer_name

      string — The name of the offer associated with this invoice item

    • offer_price_list_id

      string — The offer price list unique identifier

    • offer_price_list_name

      string — The offer price list name

    • partner_sku_code

      string — The unique SKU for partners.

    • po_number

      string — The purchase order number associated with the invoice item.

    • quantity

      integer — The quantity of this item, in the configured unit of measure for the charge.

    • start_date

      string, format: YYYY-MM-DD — The start date of the service period for this item. For a one-time fee item, the date of the charge.

    • subscription_number

      string — The subscription number associated with this invoice item

    • tax_amount

      object — This field represents the sale price, list price, net amount, or gross amount.

      • amount

        number — The monetary value.

      • currency

        string — The ISO code for the currency.

    • total_amount

      object — This field represents sale price, list price, net amount, or gross amount.

      • amount

        number — The monetary value.

      • currency

        string — The ISO code for the currency.

  • invoice_number

    string — The document number.

  • invoice_owner_account

    object — Account details.

    • account_name

      string — The account name

    • address

      object — Address details.

      • address_type (required)

        string, possible values: "billTo", "shipTo", "soldTo" — Type of address - billTo, shipTo, soldTo.

      • city (required)

        string — city name

      • country (required)

        string — ISO code for the country

      • line_1 (required)

        string — Street address

      • state (required)

        string — state or province

      • line_2

        string — Street address

      • line_3

        string — Street address

      • postal_code

        string — postal or zip code/number

    • crm_account_number

      string — Unique CRM Account Number for the customer or partner/reseller.

    • zoom_account_number

      string — Unique Zoom Account Number for the customer or partner/reseller.

  • net_amount

    object — This field represents sale price, list price, net amount, or gross amount.

    • amount

      number — The monetary value.

    • currency

      string — The ISO code for the currency.

  • payment_status

    string, possible values: "Paid", "Unpaid" — The status of the document: paid or unpaid.

  • po_numbers

    string — All purchase order numbers associated with this invoice.

  • posted_date

    string, format: YYYY-MM-DD — The posted date for the document.

  • reason_detail

    string — The reason description or detail for which this document has been generated.

  • reference_billing_document_id

    string — Any other billing document associated with this invoice.

  • sold_to_contact

    object — Sold to contact details

    • crm_contact_number

      string — Unique CRM Number for the contact.

    • email

      string — The contact's email ID.

    • first_name

      string — The first name of the sold to contact.

    • last_name

      string — The last name of the sold to contact.

  • sub_reseller

    object — Account details.

    • account_name

      string — The account name

    • address

      object — Address details

      • address_type (required)

        string, possible values: "billTo", "shipTo", "soldTo" — Type of address - billTo, shipTo, soldTo

      • city (required)

        string — city name

      • country (required)

        string — ISO code for the country

      • line_1 (required)

        string — Street address

      • state (required)

        string — state or province

      • line_2

        string — Street address

      • line_3

        string — Street address

      • postal_code

        string — postal or zip code/number

    • crm_account_number

      string — Unique CRM Account Number for the customer or partner/reseller.

    • zoom_account_number

      string — Unique Zoom Account Number for the customer or partner/reseller.

  • target_date

    object, format: YYYY-MM-DD — This date determines which charges are to be billed. All charges that are to be billed on this date or prior will be included in the invoice.

  • total_tax_amount

    object — This field represents the total tax amount for the invoice.

    • amount

      number — The monetary value.

    • currency

      string — The ISO code for the currency.

Example:

{
  "invoice_number": "INVC10235997",
  "invoice_date": "2023-10-25T00:00:00.000Z",
  "customer_name": [
    "ABC Pvt. Ltd."
  ],
  "invoice_owner_account": {
    "zoom_account_number": "3421746588",
    "crm_account_number": "A-1234",
    "account_name": "John Doe LLC",
    "address": {
      "address_type": "billTo",
      "line_1": "55 Almaden Blvd",
      "line_2": "Suite 10",
      "line_3": "Tower A",
      "city": "San Jose",
      "postal_code": "95114",
      "state": "PA",
      "country": "US"
    }
  },
  "sub_reseller": {
    "zoom_account_number": "3421746588",
    "crm_account_number": "A-1232",
    "account_name": "John Doe LLC",
    "address": {
      "address_type": "billTo",
      "line_1": "55 Almaden Blvd",
      "line_2": "Suite 10",
      "line_3": "Tower A",
      "city": "San Jose",
      "postal_code": "95114",
      "state": "PA",
      "country": "US"
    }
  },
  "sold_to_contact": {
    "crm_contact_number": "A-1232",
    "first_name": "John",
    "last_name": "Doe",
    "email": "abc@test.com"
  },
  "bill_to_contact": {
    "crm_contact_number": "A-1232",
    "first_name": "John",
    "last_name": "Doe",
    "email": "abc@test.com"
  },
  "due_date": "2023-11-25T00:00:00.000Z",
  "payment_status": "Paid",
  "balance": {
    "amount": 99.99,
    "currency": "USD"
  },
  "net_amount": {
    "amount": 99.99,
    "currency": "USD"
  },
  "po_numbers": "PO-10021-A, PO-10021-A1",
  "billing_description": "Correcting invoice error",
  "posted_date": "2024-10-25",
  "reason_detail": "Correcting invoice error",
  "reference_billing_document_id": "8a8aa183907cc66e01907d722e307bre",
  "total_tax_amount": {
    "amount": 99.99,
    "currency": "USD"
  },
  "target_date": "2024-10-25",
  "invoice_items": [
    {
      "end_customer_account": {
        "zoom_account_number": "3421746588",
        "crm_account_number": "A-1234",
        "account_name": "John Doe LLC",
        "address": {
          "address_type": "billTo",
          "line_1": "55 Almaden Blvd",
          "line_2": "Suite 10",
          "line_3": "Tower A",
          "city": "San Jose",
          "postal_code": "95114",
          "state": "PA",
          "country": "US"
        }
      },
      "charge_name": "monthly recurring charge",
      "charge_type": "recurring",
      "description": "Invoice for ABC Pvt. Ltd.",
      "offer_name": "Zoom Workplace Pro",
      "offer_price_list_name": "Zoom Workplace Pro Annual",
      "offer_price_list_id": "PRL-342923",
      "start_date": "2022-10-25",
      "end_date": "2022-10-25",
      "subscription_number": "A-31231322",
      "partner_sku_code": "PAR1-PRO-BASE-NH1Y",
      "po_number": "PO-10021-A",
      "quantity": 100,
      "tax_amount": {
        "amount": 99.99,
        "currency": "USD"
      },
      "total_amount": {
        "amount": 99.99,
        "currency": "USD"
      }
    }
  ]
}
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Unauthorized access. Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `5009` <br> No records found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Retrieves all valid Zoom Campaigns which a deal registration can be associated with.

  • Method: GET
  • Path: /commerce/campaigns
  • Tags: Deal Registration

Retrieves all valid Zoom Campaigns which a deal registration can be associated with.
Note: Please check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:deal_registration:admin

Not supported in Gov cluster

Responses

Status: 200 Campaign detail returned successfully.
Content-Type: application/json
  • campaigns

    array — List of campaigns.

    Items:

    • campaign_number (required)

      number — Unique campaign number.

    • campaign_description

      string — Campaign description.

    • campaign_end_date

      string, format: YYYY-MM-DD — Campaign end date in YYYY-MM-DD format.

    • campaign_name

      string — Campaign name.

    • campaign_start_date

      string, format: YYYY-MM-DD — Campaign start date in YYYY-MM-DD format.

Example:

{
  "campaigns": [
    {
      "campaign_number": 3423423,
      "campaign_name": "Zoom campaign for Education",
      "campaign_description": "Zoom Workplace for Education focus campaign",
      "campaign_start_date": "2023-10-03",
      "campaign_end_date": "2024-10-03"
    }
  ]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details.
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Creates a new deal registration for a partner

  • Method: POST
  • Path: /commerce/deal_registration
  • Tags: Deal Registration

Creates a new Deal Registration for a partner.
Note: Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:write:admin

Granular Scopes: zoom_commerce:write:deal_registration:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Request Body

Content-Type: application/json
  • currency (required)

    string — ISO currency code for the deal.

  • end_customer_contact_crm_number (required)

    string — Contact CRM number of the primary contact for the end customer.

  • end_customer_crm_account_number (required)

    string — CRM account number for the end customer.

  • end_customer_industry (required)

    string, possible values: "Commercial", "FED", "SLED", "Education", "Federal", "State & Local" — Industry category that best describes the end customer's products/services. Supported values are Commercial, FED, SLED, Education, Federal, State & Local.

  • estimated_close_date (required)

    string, format: YYYY-MM-DD — Estimated close date for the opportunity. Should be today or a future date.

  • estimated_mrr (required)

    integer — Estimated size of the opportunity in Monthly Recurring Revenue.

  • met_decision_maker (required)

    boolean — Set to true if the partner has met the end customer's decision maker. Defaults to false.

  • opportunity_name (required)

    string — Name for the opportunity.

  • opportunity_type (required)

    string, possible values: "Indirect Reseller Registration", "Direct Reseller Registration" — The type of opportunity being registered.

  • product_groups (required)

    array — Zoom product types for which this deal will be eligible.

    Items:

    • name (required)

      string, possible values: "Zoom Workplace (Pro or Biz)", "Zoom Workplace (Biz+)", "Zoom Workplace (Ent Essentials)", "Zoom Workplace (Ent+/Premier)", "Zoom Workplace Add-Ons", "Zoom Phone (standalone)", "Zoom Revenue Accelerator", "Zoom Contact Center", "Zoom Spaces", "Zoom Build Platform", "Workvivo", "Professional Services", "Support Services", "Zoom Virtual Agent" — Deal registration product group name.

    • quantity (required)

      integer — Expected license quantity.

  • requires_professional_services (required)

    boolean — Set to true if any professional or managed services will be provided as part of this opportunity.

  • sales_activities (required)

    array — Sales activities associated with this deal.

    Items:

    • date (required)

      string, format: YYYY-MM-DD — Date of activity in YYYY-MM-DD format.

    • type (required)

      string, possible values: "Zoom Meeting with Customer", "Onsite Meeting with Customer", "Zoom Demonstration", "Partner SE is Engaged" — Type of sales activity. Supported values are Zoom Meeting with Customer, Onsite Meeting with Customer, Zoom Demonstration, Partner SE is Engaged.

  • sales_rep_contact_crm_number (required)

    string — Unique identifier for the partner contact who will be the primary sales representative.

  • additional_comments

    string — Additional comments or special considerations for the deal.

  • budget_identified

    boolean — Set to true if the partner has identified the budget with the end customer's decision maker. Defaults to false.

  • buy_gov_skus

    boolean — Set to true if the end customer is a public sector company and will buy Zoom for Government (ZfG) SKUs.

  • campaign_number

    string — Valid Zoom campaign number which influenced this deal.

  • decision_maker_crm_number

    string — End customer decision maker contact's CRM number.

  • documents

    array — Array of document or attachment IDs uploaded for the deal.

    Items:

    • document_reference_id

      string — Unique document number.

    • document_type

      string, possible values: "Deal Registration", "Other" — Type of document.

  • end_customer_contacts

    array — Additional end customer contacts who will be associated with this deal registration.

    Items:

    • contact_crm_number

      string — Contact's unique CRM number.

  • end_customer_department

    array — End customer division or department.

    Items:

    string, possible values: "Engineering", "Executives", "Finance", "HR", "IT", "Marketing", "Sales", "Site-Wide", "Other"

  • is_public_sector

    boolean — Set to true if the end customer is a Public Sector Customer. Defaults to false. Public Sector Customer means any United States of America Federal customer (legislative branch, executive branch, judicial branch, and military services), State and Local customer (all legislative, executive, administrative, and judicial agencies within a State, County, City, or Town), Federal System Integrator customer (government contractors doing work on behalf of or selling to Federal Agencies), Public Higher Education School or Institution customers, or Public K-12 School customers.

  • migration_type

    string, possible values: "PBX/Zoom Hybrid Integration (HI)", "PBX/Zoom HI + some Zoom Phone Migration", "Some PBX to Zoom Phone Migration, No HI", "None of these", "Standard VLA" — Migration type if deal is being registered for an end customer through some special initiative.

  • opportunity_desc

    string — Detailed description for the opportunity.

  • partner_contacts

    array — Additional partner contacts who will be associated with this deal registration.

    Items:

    • contact_crm_number

      string — Contact's unique CRM number.

  • phone_carrier

    string, possible values: "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", "I don’t know" — Does the customer have an existing phone carrier agreement. Supported values are "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", "I don’t know".

  • professional_services_delivered_by

    string, possible values: "Zoom", "Partner", "Third Party" — Comma-separated list of PSO services delivery agents.

  • professional_services_description

    string — A description of the partner-led professional or managed services. Recommended if "requires_professional_services" is true.

  • rfp_details

    object — RFP details for the deal registration.

    • is_rfp (required)

      boolean — Set to true if the opportunity is part of an existing RFP/public tender.

    • due_date

      string, format: YYYY-MM-DD — Date when the RFP is due, in YYYY-MM-DD format. Required if is_rfp is true.

    • issue_date

      string, format: YYYY-MM-DD — Date when the RFP was issued, in YYYY-MM-DD format. Required if is_rfp is true.

    • rfp_link

      string — The link to the RFP if publicly posted.

  • sub_reseller_crm_account_number

    string — The sub-reseller CRM account number on whose behalf this deal is being submitted.

  • submitter_contact_crm_number

    string — Deal submitter contact CRM number.

Example:

{
  "opportunity_type": "TSD Agent Registration",
  "sub_reseller_crm_account_number": "A-3243",
  "sales_rep_contact_crm_number": "C-3332",
  "partner_contacts": [
    {
      "contact_crm_number": "C-12428"
    }
  ],
  "end_customer_crm_account_number": "A-343",
  "end_customer_contact_crm_number": "C-132",
  "end_customer_contacts": [
    {
      "contact_crm_number": "A-12428"
    }
  ],
  "end_customer_department": [
    "Engineering"
  ],
  "met_decision_maker": false,
  "decision_maker_crm_number": "C-3487284",
  "budget_identified": false,
  "is_public_sector": false,
  "buy_gov_skus": false,
  "end_customer_industry": "Commercial",
  "opportunity_name": "New sales opportunity",
  "opportunity_desc": "New sales opportunity",
  "estimated_close_date": "2024-10-01",
  "estimated_mrr": 200000,
  "currency": "USD",
  "requires_professional_services": false,
  "professional_services_description": "false",
  "professional_services_delivered_by": "Zoom, Partner",
  "phone_carrier": "Yes, and they want to maintain it",
  "product_groups": [
    {
      "name": "Zoom Workplace (Pro or Biz)",
      "quantity": 1000
    }
  ],
  "campaign_number": "3245",
  "sales_activities": [
    {
      "type": "Zoom Meeting with Customer",
      "date": "2023-10-25"
    }
  ],
  "rfp_details": {
    "is_rfp": false,
    "rfp_link": "https://www.rfplink.abc.com",
    "issue_date": "2024-07-02",
    "due_date": "2024-09-02"
  },
  "submitter_contact_crm_number": "C-3332",
  "migration_type": "PBX/Zoom Hybrid Integration (HI)",
  "additional_comments": "customer retention deal",
  "documents": [
    {
      "document_reference_id": "D-1212",
      "document_type": "Deal Registration"
    }
  ]
}

Responses

Status: 201 Deal Registration created successfully.
Content-Type: application/json
  • create_reference_id

    string — The unique reference ID for this deal registration if created using the Deal Registration API. Use this ID for checking the status.

  • deal_reg_number

    string — The unique deal registration number.

  • errors

    array — Array of messages in case of validation or processing errors.

    Items:

    • error_code (required)

      string — Error code.

    • error_description (required)

      string — Error description.

  • status

    string, possible values: "submitted", "success", "failure" — Status of this deal registration request.

Example:

{
  "create_reference_id": "DRR-4834729",
  "deal_reg_number": "DL-0012",
  "status": "submitted",
  "errors": [
    {
      "error_code": "5801",
      "error_description": "Invalid end customer contact CRM number."
    }
  ]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5810` <br> Estimated close date should be in future. <br> **Error Code:** `5811` <br> This opportunity type submission is not allowed. Please reach out to partner support. <br> **Error Code:** `5812` <br> At least one sales activity is required. <br> **Error Code:** `5813` <br> At least one product is required for deal registration. <br> **Error Code:** `5814` <br> If you have met the decision maker, please provide the decision maker contact. <br> **Error Code:** `5815` <br> If opportunity is part of an RFP (is_rfp=true), rfp_due_date and rfp_issue_date cannot be blank. <br> **Error Code:** `5816` <br> If opportunity is part of an RFP (is_rfp=true), rfp_issue_date cannot be in the past.. <br> **Error Code:** `5817` <br> End customer industry should be from the allowed list of values. <br> **Error Code:** `5818` <br> End customer department should be from the allowed list of values. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Unauthorized access. Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found See details.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Gets all valid Deal Registrations for a partner

  • Method: GET
  • Path: /commerce/deal_registrations
  • Tags: Deal Registration

Retrieves all valid deal registrations for a partner.
Note: Please check the base URL for sandbox and production environments under the Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:deal_registration:admin

Rate Limit Label: MEDIUM

Not supported in Gov cluster

Responses

Status: 200 Deal registration for a partner returned successfully.
Content-Type: application/json
  • deal_registrations

    array — The list of deal registrations.

    Items:

    • create_reference_id

      string — The unique reference ID for this deal registration. Use this ID for checking the status.

    • currency

      string — The ISO code for the deal currency.

    • deal_name

      string — The name for the deal.

    • deal_reg_number

      string — The deal registration number for the corresponding deal registration.

    • end_customer

      object — The end customer associated with the deal registration.

      • account_local_name

        string — The account name in local language.

      • account_name

        string — The end customer's name.

      • address

        object — The details of the address.

        • address_type (required)

          string, possible values: "billTo", "shipTo", "soldTo" — The type of address: `billTo`, `shipTo`, and `soldTo`.

        • city (required)

          string — The city's name.

        • country (required)

          string — The ISO code for the country.

        • line_1 (required)

          string — The street address.

        • state (required)

          string — The state or province.

        • line_2

          string — The street address.

        • line_3

          string — The street address.

        • postal_code

          string — The postal number or zip code.

      • crm_account_number

        string — The end customer's CRM account number.

      • department

        string, possible values: "Engineering", "Executives", "Finance", "HR", "IT", "Marketing", "Sales", "Site-Wide", " Other" — The end customer's division or department.

      • employee_count

        string, possible values: "Just Me", "2-10", "11-50", "51-250", "251-500", "501-1000", "1001-5000", "5001-10000", "10000+" — The company's employee count. Supported values are 'Just Me', '2-10', '11-50', '51-250', '251-500', '501-1000', '1001-5000', '5001-10000', and '10000+'.

      • industry

        string, possible values: "Commercial", "FED", "SLED", "Education", "Federal", "State & Local" — The industry category that best describes the end customer's products or services. Supported values are Commercial, FED, SLED, Education, Federal, and State & Local.

      • website

        string — The company's website. Must not be any social media handle or Facebook, Google, and eBay shopping front.

    • estimated_mrr

      integer — The estimated size of the opportunity in monthly recurring revenue.

    • expected_closed_date

      string, format: YYYY-MM-DD — The expected close date for the opportunity. Must be today or a future date.

    • extended_expiry_date

      string, format: YYYY-MM-DD — The extended expiration date for the deal.

    • invoice_owner_crm_account_number

      string — The CRM account number for the invoice owner.

    • opportunity

      object — The opportunity's details.

      • channel_sales_motion

        string, possible values: "Direct Reseller", "Indirect Reseller" — The channel sales motion associated with the opportunity: Direct Reseller, Indirect Reseller, Referral, and so on.

      • expected_close_date

        string, format: YYYY-MM-DD — The expected or actual close date for this deal.

      • opportunity_id

        string — The opportunity ID for the corresponding opportunity associated with the deal registration.

      • opportunity_name

        string — The corresponding opportunity's name.

      • opportunity_type

        string — The corresponding opportunity type.

      • partner_role

        string, possible values: "Deal Registration", "Partner Assist", "Incumbent Partner", "Fulfilment", "Standard Transaction" — The role the partner has in this opportunity: Deal Registration, Partner Assist, Incumbent Partner, Fulfilment, and so on.

    • opportunity_stage

      string, possible values: "submitted", "pending review", "denied", "returned", "pending sales review", "approved", "expired", "revoked", "closed-lost", "closed-won", "draft", "qualification", "solution", "proof", "agreement", "finalize" — The current stage for this deal registration.

    • original_expiry_date

      string, format: YYYY-MM-DD — The original expiration date for the deal.

    • partner_sales_rep

      string — The partner sales representative name.

    • program_name

      string, possible values: "Direct Reseller Registration", "Indirect Reseller Registration", "TSD Agent Registration", "Bill on Behalf Registration", "Direct Referral Registration", "Standard Referral Registration", "Zoom X Registration" — The program under which the deal is being registered.

    • status

      string, possible values: "submitted", "pending review", "denied", "returned", "pending sales review", "approved", "expired", "revoked", "closed-lost", "closed-won", "draft", "qualification", "solution", "proof", "agreement", "finalize", "submit failed" — The deal registration status.

    • submitted_date

      string, format: YYYY-MM-DD — The date this deal registration was submitted.

    • zoom_account_executive

      string — The Zoom Account Executive associated with this deal registration.

    • zoom_cam

      string — The Zoom Channel Account Manager associated with this deal registration.

  • page_count

    integer — The total number of pages in the result set.

Example:

{
  "page_count": 20,
  "deal_registrations": [
    {
      "deal_reg_number": "DL-135621",
      "create_reference_id": "DRR-4834729",
      "deal_name": "New deal for Zoom Phone",
      "invoice_owner_crm_account_number": "A-4567",
      "opportunity_stage": "closed-won",
      "submitted_date": "2023-10-25",
      "expected_closed_date": "2024-10-25",
      "estimated_mrr": 1000000,
      "currency": "USD",
      "program_name": "Direct Reseller Registration",
      "original_expiry_date": "2023-10-25",
      "extended_expiry_date": "2023-10-25",
      "partner_sales_rep": "John Doe",
      "zoom_account_executive": "John Doe",
      "zoom_cam": "John Doe",
      "status": "submitted",
      "end_customer": {
        "crm_account_number": "A-1232",
        "account_name": "ABC Pvt Ltd",
        "address": {
          "address_type": "billTo",
          "line_1": "55 Almaden Blvd",
          "line_2": "Suite 10",
          "line_3": "Tower A",
          "city": "San Jose",
          "postal_code": "95114",
          "state": "PA",
          "country": "US"
        },
        "department": "Engineering",
        "industry": "Commercial",
        "account_local_name": "ABC Pvt Ltd",
        "employee_count": "2-10",
        "website": "www.zoom.com"
      },
      "opportunity": {
        "opportunity_id": "a56b89",
        "opportunity_name": "New sales opportunity",
        "opportunity_type": "Sales Channel",
        "expected_close_date": "2023-10-25",
        "partner_role": "Deal Registration",
        "channel_sales_motion": "Direct Reseller"
      }
    }
  ]
}
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5201` <br> The deal registration number should be at least three characters. <br> **Error Code:** `5202` <br> The deal registration create reference ID should be at least three characters. <br> **Error Code:** `5203` <br> The end customer account name should be at least three characters. <br> **Error Code:** `5204` <br> The CRM account number should be at least three characters. <br> **Error Code:** `5205` <br> The Zoom account number should be at least three characters. <br> **Error Code:** `5247` <br> 'submit failed' status filter cannot be included with other status values <br> **Error Code:** `5000` <br> Invalid character & or | in the name filter. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Get details of a deal registration by registration number

  • Method: GET
  • Path: /commerce/deal_registrations/{dealRegKey}
  • Tags: Deal Registration

Retrieve details for a deal registration by the deal registration number.

Note Check the base URL for sandbox and production environments under the Zoom Commerce section here.

Scopes: zoom_commerce:read:admin

Granular Scopes: zoom_commerce:read:deal_registration:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Responses

Status: 200 Deal registration details returned successfully.
Content-Type: application/json
  • additional_comments

    string — The additional comments or special considerations for the deal.

  • approved_date

    string, format: YYYY-MM-DD — The date this deal registration was approved.

  • budget_identified

    boolean — True if the partner has identified the budget with the end customer's decision maker.

  • buy_gov_skus

    boolean — True if the end customer is a public sector company and will buy Zoom for Government (ZfG) SKUs.

  • campaign

    string — The Zoom campaign that influenced this deal.

  • create_reference_id

    string — The unique reference ID for this deal registration if created using the **Deal Registration** API. Use this ID for checking the status.

  • currency

    string — The ISO code for the deal currency.

  • deal_description

    string — The deal's description.

  • deal_name

    string — The deal's name.

  • deal_reg_number

    string — The deal registration number for the corresponding deal registration.

  • decision_maker_email

    string — The email ID for the end customer decision maker.

  • decision_maker_name

    string — The name of the decision maker.

  • denied_date

    string, format: YYYY-MM-DD — The date this deal registration was denied.

  • documents

    array — Documents associated with this deal registration.

    Items:

    • document_note

      string — Note associated with the document.

    • document_reference_id

      string — Unique reference ID for the document.

    • document_type

      string, possible values: "Deal Registration", "Other" — Type of document.

  • end_customer

    object — The end customer associated with the deal registration.

    • account_local_name

      string — The account name in local language.

    • account_name

      string — The end customer's name.

    • address

      object — The details of the address.

      • address_type (required)

        string, possible values: "billTo", "shipTo", "soldTo" — The type of address: billTo, shipTo, and soldTo.

      • city (required)

        string — The city's name.

      • country (required)

        string — The ISO code for the country.

      • line_1 (required)

        string — The street address.

      • state (required)

        string — The state or province.

      • line_2

        string — The street address.

      • line_3

        string — The street address.

      • postal_code

        string — The postal number or zip code.

    • crm_account_number

      string — The end customer's CRM account number.

    • department

      string, possible values: "Engineering", "Executives", "Finance", "HR", "IT", "Marketing", "Sales", "Site-Wide", " Other" — The end user's customer division or department.

    • employee_count

      string, possible values: "Just Me", "2-10", "11-50", "51-250", "251-500", "501-1000", "1001-5000", "5001-10000", "10000+" — The company's employee count. Supported values are 'Just Me', '2-10', '11-50', '51-250', '251-500', '501-1000', '1001-5000', '5001-10000', or '10000+'.

    • industry

      string, possible values: "Commercial", "FED", "SLED", "Education", "Federal", "State & Local" — The industry category that best describes the end customer's products/services. Supported values are Commercial, FED, SLED, Education, Federal, or State & Local.

    • website

      string — The company's website.

  • end_customer_other_contacts

    array — The additional end customer contacts who will be associated with this deal registration.

    Items:

    • contact_crm_number (required)

      string — The contact's unique CRM number.

    • email

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • end_customer_contact_domain_reason

      string — The reason or justification for public domain for the end customer's contact email.

    • first_name

      string — The contact's first name.

    • last_name

      string — The contact's last name.

    • phone

      string — The contact's business phone number.

    • title

      string — The contact's job title.

  • end_customer_primary_contact

    object — The deal registration's contact details.

    • contact_crm_number (required)

      string — The contact's unique CRM number.

    • email

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • end_customer_contact_domain_reason

      string — The reason or justification for public domain for the end customer's contact email.

    • first_name

      string — The contact's first name.

    • last_name

      string — The contact's last name.

    • phone

      string — The contact's business phone number.

    • title

      string — The contact's job title.

  • end_customer_website_details

    object — The account website's details.

    • empty_website

      boolean, default: false — True if the end customer doesn't have a website. Default is `false`.

    • empty_website_reason

      string — The reason why the website is blank. This field is mandatory if `empty_website` is `true`.

    • public_website_reason

      string — The justification if the website is a public domain.

  • estimated_mrr

    integer — The estimated size of the opportunity in monthly recurring revenue.

  • expected_close_date

    string, format: YYYY-MM-DD — The expected close date for the deal.

  • extended_expiry_date

    string, format: YYYY-MM-DD — The extended expiration date for the deal.

  • invoice_owner

    object — The distributor associated with the deal registration.

    • account_name

      string — The distributor's name.

    • address

      object — The details of the address.

      • address_type (required)

        string, possible values: "billTo", "shipTo", "soldTo" — The type of address: billTo, shipTo, and soldTo.

      • city (required)

        string — The city's name.

      • country (required)

        string — The ISO code for the country.

      • line_1 (required)

        string — The street address.

      • state (required)

        string — The state or province.

      • line_2

        string — The street address.

      • line_3

        string — The street address.

      • postal_code

        string — The postal number or zip code.

    • crm_account_number

      string — The distributor's CRM account number.

  • is_existing_customer

    boolean — True if the deal registration is for an existing end customer. False if this is a new customer.

  • is_public_sector

    boolean — True if the end customer is a public sector customer. Public sector customer means any United States of America federal customer (legislative branch, executive branch, judicial branch, and military services), State and Local customer (all legislative, executive, administrative, and judicial agencies within a State, County, City, or Town), Federal System Integrator customer (government contractors doing work on behalf of (sell-through) or selling to Federal Agencies), Public Higher Education School or Institution customers, or Public K-12 School customers.

  • met_decision_maker

    boolean — True if the partner has met the end customer's decision maker.

  • migration_type

    string, possible values: "PBX/Zoom Hybrid Integration (HI)", "PBX/Zoom HI + some Zoom Phone Migration", "Some PBX to Zoom Phone Migration, No HI", "None of these", "Standard VLA" — Migration type if deal is being registered for an end customer through some special initiative.

  • opportunity

    object — The opportunity's details.

    • channel_sales_motion

      string, possible values: "Direct Reseller", "Indirect Reseller" — The channel sales motion associated with the opportunity: Direct Reseller, Indirect Reseller, Referral, and so on.

    • expected_close_date

      string, format: YYYY-MM-DD — The expected close date for the opportunity.

    • opportunity_name

      string — The corresponding opportunity name.

    • opportunity_number

      string — The opportunity number for the corresponding opportunity associated with the deal registration.

    • opportunity_type

      string — The corresponding opportunity type.

    • partner_role

      string, possible values: "Deal Registration", "Partner Assist", "Incumbent Partner", "Fulfilment" — The role partner has in this opportunity: Deal Registration, Partner Assist, Incumbent Partner, Fulfilment, and so on.

  • opportunity_stage

    string, possible values: "submitted", "pending review", "denied", "returned", "pending sales review", "approved", "expired", "revoked", "closed-lost", "closed-won", "draft", "qualification", "solution", "proof", "agreement", "finalize", "discovery", "review", "submitted" — The current stage for this deal registration.

  • original_expiry_date

    string, format: YYYY-MM-DD — The original expiration date for the deal.

  • partner_contacts

    array — The additional partner contacts who are associated with this deal registration.

    Items:

    • contact_crm_number (required)

      string — The contact's unique CRM number.

    • email

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • first_name

      string — The contact's first name.

    • last_name

      string — The contact's last name.

    • phone

      string — The contact's business phone number.

    • title

      string — The contact's job title.

  • partner_role

    string, possible values: "Deal Registration", "Partner Assist", "Incumbent Partner", "Fulfilment", "Standard Transaction" — The role the partner has in this deal: Deal Registration, Partner Assist, Incumbent Partner, Fulfilment, and so on.

  • phone_carrier

    string, possible values: "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", "I don't know" — Whether the customer has an existing phone carrier agreement. Supported values are "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", and "I don't know".

  • product_groups

    array — The Zoom product types for which this deal is eligible.

    Items:

    • name (required)

      string, possible values: "Zoom Workplace (Pro or Biz)", "Zoom Workplace (Biz+)", "Zoom Workplace (Ent Essentials)", "Zoom Workplace (Ent+/Premier)", "Zoom Workplace Add-Ons", "Zoom Phone (standalone)", "Zoom Revenue Accelerator", "Zoom Contact Center", "Zoom Spaces", "Zoom Build Platform", "Workvivo", "Professional Services", "Support Services", "Zoom Virtual Agent" — Deal registration product group name.

    • quantity (required)

      integer — The license quantity.

  • professional_services_delivered_by

    string, possible values: "Zoom", "Partner", "Third Party" — Comma-separated list of PSO services delivery agents.

  • professional_services_description

    string — A description of the partner-led professional or managed services if "requires_professional_services" is true.

  • program_name

    string, possible values: "Direct Reseller Registration", "Indirect Reseller Registration", "TSD Agent Registration", "Bill on Behalf Registration", "Direct Referral Registration", "Standard Referral Registration", "Zoom X Registration" — The type of opportunity being registered.

  • related_partner

    string — Any other partner account related to this deal.

  • requires_professional_services

    boolean — True if any professional or managed services are provided as part of this opportunity.

  • rfp_details

    object — The RFP details for the deal registration.

    • due_date

      string, format: YYYY-MM-DD — The date when the RFP is due, in YYYY-MM-DD format.

    • is_rfp

      boolean — True if the opportunity is part of existing RFP or public tender.

    • issue_date

      string, format: YYYY-MM-DD — The date when the RFP was issued, in YYYY-MM-DD format.

    • rfp_link

      string — The link to the RFP if publicly posted.

  • sales_activities

    array — The sales activities associated with this deal.

    Items:

    • date (required)

      string, format: YYYY-MM-DD — The date of activity in `YYYY-MM-DD` format.

    • type (required)

      string, possible values: "Zoom Meeting with Customer", "Onsite Meeting with Customer", "Zoom Demonstration", "Partner SE is Engaged" — The type of sales activity. Supported values are Zoom Meeting with Customer, Onsite Meeting with Customer, Zoom Demonstration, and Partner SE is Engaged.

    • sales_activity_number

      string — Unique identifier for the sales activity.

  • sales_representative

    object — The deal registration's sales representative.

    • sales_rep_contact

      object — The deal registration's contact details.

      • contact_crm_number (required)

        string — The contact's unique CRM number.

      • email

        string — The contact's company email ID. The email domain should be the same as the account domain.

      • first_name

        string — The contact's first name.

      • last_name

        string — The contact's last name.

      • phone

        string — The contact's business phone number.

      • title

        string — The contact's job title.

    • self_sales_representative

      boolean — True if the partner is the sales representative for this deal.

  • status

    string, possible values: "submitted", "pending review", "denied", "returned", "pending sales review", "approved", "expired", "revoked", "closed-lost", "closed-won", "draft", "qualification", "solution", "proof", "agreement", "finalize", "failure", "submit failed" — The deal registration's status.

  • status_detail

    object — The details in case the deal registration request has been returned without approval.

    • denied_reason

      string — The reason the deal registration request was denied.

    • failure_reason

      string — Failure error message if status is 'submit failed'.

    • other_comments

      string — Any additional comment related to current status.

    • return_reason

      string — The reason why the deal registration request was returned.

    • revoke_reason

      string — The reason why the deal registration request was revoked.

  • sub_reseller

    object — The sub-reseller associated with the deal registration.

    • account_name

      string — The sub-reseller's name.

    • address

      object — The details of the address.

      • address_type (required)

        string, possible values: "billTo", "shipTo", "soldTo" — The type of address: billTo, shipTo, and soldTo.

      • city (required)

        string — The city's name.

      • country (required)

        string — The ISO code for the country.

      • line_1 (required)

        string — The street address.

      • state (required)

        string — The state or province.

      • line_2

        string — The street address.

      • line_3

        string — The street address.

      • postal_code

        string — The postal number or zip code.

    • crm_account_number

      string — The sub-reseller's CRM account number.

  • submitted_date

    string, format: YYYY-MM-DD — The date this deal registration was submitted.

  • submitter

    object — The deal registration's contact details.

    • contact_crm_number (required)

      string — The contact's unique CRM number.

    • email

      string — The contact's company email ID. The email domain should be the same as the account domain.

    • first_name

      string — The contact's first name.

    • last_name

      string — The contact's last name.

    • phone

      string — The contact's business phone number.

    • title

      string — The contact's job title.

  • zoom_cams

    object — The Zoom channel account managers.

    • zoom_distribution_cam

      string — The account manager for the Zoom distribution channel.

    • zoom_named_cam

      string — The account manager for the Zoom named channel.

    • zoom_territory_cam

      string — The Zoom territory channel account manager.

Example:

{
  "deal_reg_number": "DL-135621",
  "create_reference_id": "DRR-4834729",
  "deal_name": "New deal for Zoom Phone",
  "deal_description": "New deal for Zoom Phone",
  "currency": "USD",
  "program_name": "TSD Agent Registration",
  "opportunity_stage": "closed-won",
  "submitted_date": "2023-10-25",
  "approved_date": "2023-10-25",
  "denied_date": "2023-10-25",
  "expected_close_date": "2023-10-25",
  "partner_role": "Deal Registration",
  "original_expiry_date": "2023-10-25",
  "extended_expiry_date": "2023-10-25",
  "sales_representative": {
    "self_sales_representative": true,
    "sales_rep_contact": {
      "contact_crm_number": "A-12428",
      "first_name": "Tracy",
      "last_name": "Smith",
      "email": "tsmith@somecompany.com",
      "title": "Account Executive",
      "phone": "192837489342"
    }
  },
  "submitter": {
    "contact_crm_number": "A-12428",
    "first_name": "Tracy",
    "last_name": "Smith",
    "email": "tsmith@somecompany.com",
    "title": "Account Executive",
    "phone": "192837489342"
  },
  "related_partner": "A-1232",
  "partner_contacts": [
    {
      "contact_crm_number": "A-12428",
      "first_name": "Tracy",
      "last_name": "Smith",
      "email": "tsmith@somecompany.com",
      "title": "Account Executive",
      "phone": "192837489342"
    }
  ],
  "is_existing_customer": false,
  "sub_reseller": {
    "crm_account_number": "A-1232",
    "account_name": "ABC Pvt Ltd",
    "address": {
      "address_type": "billTo",
      "line_1": "55 Almaden Blvd",
      "line_2": "Suite 10",
      "line_3": "Tower A",
      "city": "San Jose",
      "postal_code": "95114",
      "state": "PA",
      "country": "US"
    }
  },
  "invoice_owner": {
    "crm_account_number": "A-1232",
    "account_name": "ABC Distributors Inc",
    "address": {
      "address_type": "billTo",
      "line_1": "55 Almaden Blvd",
      "line_2": "Suite 10",
      "line_3": "Tower A",
      "city": "San Jose",
      "postal_code": "95114",
      "state": "PA",
      "country": "US"
    }
  },
  "end_customer": {
    "crm_account_number": "A-1232",
    "account_name": "ABC Pvt Ltd",
    "address": {
      "address_type": "billTo",
      "line_1": "55 Almaden Blvd",
      "line_2": "Suite 10",
      "line_3": "Tower A",
      "city": "San Jose",
      "postal_code": "95114",
      "state": "PA",
      "country": "US"
    },
    "department": "Engineering",
    "industry": "Commercial",
    "account_local_name": "ABC Pvt Ltd",
    "employee_count": "2-10",
    "website": "www.zoom.com"
  },
  "end_customer_primary_contact": {
    "contact_crm_number": "A-12428",
    "first_name": "Tracy",
    "last_name": "Smith",
    "email": "tsmith@somecompany.com",
    "title": "Account Executive",
    "phone": "192837489342",
    "end_customer_contact_domain_reason": "To be provided by customer later"
  },
  "end_customer_other_contacts": [
    {
      "contact_crm_number": "A-12428",
      "first_name": "Tracy",
      "last_name": "Smith",
      "email": "tsmith@somecompany.com",
      "title": "Account Executive",
      "phone": "192837489342",
      "end_customer_contact_domain_reason": "To be provided by customer later"
    }
  ],
  "end_customer_website_details": {
    "empty_website": false,
    "empty_website_reason": "To be provided by customer",
    "public_website_reason": "To be provided by customer"
  },
  "is_public_sector": false,
  "budget_identified": false,
  "buy_gov_skus": false,
  "met_decision_maker": false,
  "decision_maker_email": "abc@test.com",
  "decision_maker_name": "John Doe",
  "estimated_mrr": 100000,
  "requires_professional_services": false,
  "professional_services_description": "Partner will provide this service.",
  "professional_services_delivered_by": "Zoom, Partner",
  "phone_carrier": "There is no existing agreement",
  "product_groups": [
    {
      "name": "Zoom Workplace (Pro or Biz)",
      "quantity": 1000
    }
  ],
  "campaign": "Global Zoom Phone Launch",
  "sales_activities": [
    {
      "sales_activity_number": "ZDRA00011",
      "type": "Zoom Meeting with Customer",
      "date": "2023-10-25"
    }
  ],
  "rfp_details": {
    "is_rfp": false,
    "rfp_link": "https://www.rfplink.example.com",
    "issue_date": "2023-10-25",
    "due_date": "2023-10-25"
  },
  "zoom_cams": {
    "zoom_territory_cam": "John Doe",
    "zoom_named_cam": "John Doe",
    "zoom_distribution_cam": "John Doe"
  },
  "additional_comments": "customer retention",
  "opportunity": {
    "opportunity_number": "a56b89",
    "opportunity_name": "New sales opportunity",
    "opportunity_type": "Sales Channel",
    "partner_role": "Deal Registration",
    "channel_sales_motion": "Direct Reseller",
    "expected_close_date": "2023-10-25"
  },
  "status": "submitted",
  "status_detail": {
    "return_reason": "RFP link is invalid.",
    "revoke_reason": "A duplicate deal registration is in progress.",
    "denied_reason": "The customer is not compliant for the requested deal.",
    "other_comments": "Conditional approval.",
    "failure_reason": "Time out."
  },
  "documents": [
    {
      "document_reference_id": "DOC-1234",
      "document_note": "Latest purchase order.",
      "document_type": "Deal Registration"
    }
  ],
  "migration_type": "PBX/Zoom Hybrid Integration (HI)"
}
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found **Error Code:** `5009` <br> No records found. <br>
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition which prevented it from fulfilling the request.

Updates an existing deal registration

  • Method: PATCH
  • Path: /commerce/deal_registrations/{dealRegKey}
  • Tags: Deal Registration

Updates an existing deal registration that has been returned (Deal status = returned).
Note: Please check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:write:admin

Granular Scopes: zoom_commerce:write:deal_registration:admin

Rate Limit Label: LIGHT

Not supported in Gov cluster

Request Body

Content-Type: application/json
  • add_end_customer_contacts

    array — Additional end customer contacts to be associated with this deal registration.

    Items:

    • contact_crm_number

      string — Contact's unique CRM number.

  • add_partner_contacts

    array — Additional partner contacts to be associated with this deal registration.

    Items:

    • contact_crm_number

      string — Contact's unique CRM number.

  • add_product_groups

    array — Additional Zoom product types for which this deal will be eligible.

    Items:

    • name (required)

      string, possible values: "Zoom Workplace (Pro or Biz)", "Zoom Workplace (Biz+)", "Zoom Workplace (Ent Essentials)", "Zoom Workplace (Ent+/Premier)", "Zoom Workplace Add-Ons", "Zoom Phone (standalone)", "Zoom Revenue Accelerator", "Zoom Contact Center", "Zoom Spaces", "Zoom Build Platform", "Workvivo", "Professional Services", "Support Services", "Zoom Virtual Agent" — Deal registration product group name.

    • quantity (required)

      integer — Expected license quantity.

  • additional_comments

    string — Additional comments or special considerations for the deal.

  • budget_identified

    boolean — Set to true if the partner has identified the budget with the end customer's decision maker. Defaults to false.

  • buy_gov_skus

    boolean — Set to true if the end customer is a public sector company and will buy Zoom for Government (ZfG) SKUs.

  • campaign_number

    string — Valid Zoom campaign number that influenced this deal.

  • currency

    string — ISO code for the deal.

  • decision_maker_crm_number

    string — End customer decision maker contact's CRM number.

  • documents

    array — Array of document or attachment IDs uploaded for the deal.

    Items:

    • document_reference_id

      string — Unique document number.

    • document_type

      string, possible values: "Deal Registration", "Other" — Type of document.

  • end_customer_department

    array — End customer division or department.

    Items:

    string, possible values: "Engineering", "Executives", "Finance", "HR", "IT", "Marketing", "Sales", "Site-Wide", "Other"

  • end_customer_industry

    string, possible values: "Commercial", "FED", "SLED", "Education", "Federal", "State & Local" — Industry category that best describes the end customer's products/services. Supported values are Commercial, FED, SLED, Education, Federal, State & Local.

  • estimated_close_date

    string, format: YYYY-MM-DD — Estimated close date for the opportunity. Should be today or a future date.

  • estimated_mrr

    integer — Estimated size of the opportunity in Monthly Recurring Revenue.

  • is_public_sector

    boolean — Set to true if the end customer is a Public Sector Customer. Defaults to false. Public Sector Customer means any United States of America Federal customer (legislative branch, executive branch, judicial branch, and military services), State and Local customer (all legislative, executive, administrative, and judicial agencies within a State, County, City, or Town), Federal System Integrator customer (government contractors doing work on behalf of or selling to Federal Agencies), Public Higher Education School or Institution customers, or Public K-12 School customers.

  • met_decision_maker

    boolean — Set to true if the partner has met the end customer's decision maker. Defaults to false.

  • opportunity_desc

    string — Detailed description for the opportunity.

  • opportunity_name

    string — Name for the opportunity.

  • phone_carrier

    string, possible values: "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", "I don’t know" — Does the customer have an existing phone carrier agreement. Supported values are "Yes, and they want to maintain it", "Yes, but they are willing to switch", "There is no existing agreement", "I don’t know".

  • professional_services_delivered_by

    string, possible values: "Zoom", "Partner", "Third Party" — Comma-separated list of PSO services delivery agents.

  • professional_services_description

    string — A description of the partner-led professional or managed services should be provided if "requires_professional_services" is true.

  • remove_product_groups

    array — Zoom product types to remove from this deal.

    Items:

    • name (required)

      string, possible values: "Zoom Workplace (Pro or Biz)", "Zoom Workplace (Biz+)", "Zoom Workplace (Ent Essentials)", "Zoom Workplace (Ent+/Premier)", "Zoom Workplace Add-Ons", "Zoom Phone (standalone)", "Zoom Revenue Accelerator", "Zoom Contact Center", "Zoom Spaces", "Zoom Build Platform", "Workvivo", "Professional Services", "Support Services", "Zoom Meetings (standalone)", "Zoom One (without Phone)", "Zoom Events & Webinar", "Other", "Zoom One (with Phone)", "Zoom Virtual Agent" — Deal registration product group name.

  • requires_professional_services

    boolean — Set to true if any professional or managed services will be provided as part of this opportunity.

  • rfp_details

    object — RFP details for the deal registration.

    • is_rfp (required)

      boolean — Set to true if the opportunity is part of an existing RFP/public tender.

    • due_date

      string, format: YYYY-MM-DD — Date when the RFP is due, in YYYY-MM-DD format. Required if is_rfp is true.

    • issue_date

      string, format: YYYY-MM-DD — Date when the RFP was issued, in YYYY-MM-DD format. Required if is_rfp is true.

    • rfp_link

      string — The link to the RFP if publicly posted.

  • sales_activities

    array — Sales activities associated with this deal.

    Items:

    • date (required)

      string, format: YYYY-MM-DD — Date of activity in YYYY-MM-DD format.

    • type (required)

      string, possible values: "Zoom Meeting with Customer", "Onsite Meeting with Customer", "Zoom Demonstration", "Partner SE is Engaged" — Type of sales activity. Supported values are Zoom Meeting with Customer, Onsite Meeting with Customer, Zoom Demonstration, Partner SE is Engaged.

    • sales_activity_number

      string — Sales activity number for the activity to update. Leave this blank if a new sales activity needs to be added.

  • sales_rep_contact_crm_number

    string — Unique identifier for the partner contact who will be the primary sales representative.

  • submitter_contact_crm_number

    string — Deal submitter contact CRM number.

Example:

{
  "sales_rep_contact_crm_number": "C-3332",
  "add_partner_contacts": [
    {
      "contact_crm_number": "C-12428"
    }
  ],
  "add_end_customer_contacts": [
    {
      "contact_crm_number": "A-12428"
    }
  ],
  "end_customer_department": [
    "Engineering"
  ],
  "met_decision_maker": false,
  "decision_maker_crm_number": "C-3487284",
  "budget_identified": false,
  "is_public_sector": false,
  "buy_gov_skus": false,
  "end_customer_industry": "Commercial",
  "opportunity_name": "New sales opportunity",
  "opportunity_desc": "New sales opportunity",
  "estimated_close_date": "2024-10-01",
  "estimated_mrr": 200000,
  "currency": "USD",
  "requires_professional_services": false,
  "professional_services_description": "false",
  "professional_services_delivered_by": "Zoom, Partner",
  "phone_carrier": "Yes, and they want to maintain it",
  "add_product_groups": [
    {
      "name": "Zoom Workplace (Pro or Biz)",
      "quantity": 1000
    }
  ],
  "remove_product_groups": [
    {
      "name": "Zoom Workplace (Pro or Biz)"
    }
  ],
  "campaign_number": "3245",
  "sales_activities": [
    {
      "sales_activity_number": "ZDRA00011",
      "type": "Zoom Meeting with Customer",
      "date": "2023-10-25"
    }
  ],
  "rfp_details": {
    "is_rfp": false,
    "rfp_link": "https://www.rfplink.abc.com",
    "issue_date": "2024-07-02",
    "due_date": "2024-09-02"
  },
  "submitter_contact_crm_number": "C-3332",
  "additional_comments": "customer retention deal",
  "documents": [
    {
      "document_reference_id": "D-1212",
      "document_type": "Deal Registration"
    }
  ]
}

Responses

Status: 200 Deal registration updated successfully.
Status: 400 **HTTP Status Code:** `400` <br> Bad Request See details. **Error Code:** `5810` <br> Estimated close date should be in the future. <br> **Error Code:** `5814` <br> If you have met the decision maker, please provide the decision maker's contact. <br> **Error Code:** `5815` <br> If the opportunity is part of an RFP (`is_rfp`=true), `rfp_due_date` and `rfp_issue_date` cannot be blank. <br> **Error Code:** `5817` <br> End customer industry should be from the allowed list of values. <br> **Error Code:** `5818` <br> End customer department should be from the allowed list of values. <br>
Status: 401 **HTTP Status Code:** `401` <br> Unauthorized Authorization information is missing or invalid.
Status: 404 **HTTP Status Code:** `404` <br> Not Found See details.
Status: 429 **HTTP Status Code:** `429` <br> Too Many Requests. For more information, see [rate limits](https://developers.zoom.us/docs/api/rest/rate-limits/).
Status: 500 **HTTP Status Code:** `500` <br> Internal Server Error The server encountered an unexpected condition that prevented it from fulfilling the request.

Create a subscription order for a Zoom partner

  • Method: POST
  • Path: /commerce/order
  • Tags: Order

Create a subscription order for a Zoom partner's end customers. One order can have more than one subscription for more than one end customer. The same order can create a new subscription and also amend an existing subscription. Note Check the base URL for sandbox and production environments under Zoom Commerce section here.

Scopes: zoom_commerce:write:admin

Granular Scopes: zoom_commerce:write:order:admin

Rate Limit Label: HEAVY

Not supported in Gov cluster

Request Body

Content-Type: application/json
  • header (required)

    object — The order header's details.

    • order_date (required)

      string, format: YYYY-MM-DD — The order date in `YYYY-MM-DD` format.

    • additional_attributes

      array — Any additional attributes that need to be tracked for this order.

      Items:

      • name

        string — The attribute's name.

      • value

        string — The attribute value.

      • value_type

        string, possible values: "Integer", "Enum", "String", "Boolean", "Object" — The attribute value type.

    • deal_reg_number

      string — The registration number of the deal registered by either a partner or a reseller.

    • order_description

      string — The order's description.

    • order_type

      string, possible values: "trial", "sale", default: "sale" — The order's type. Supported values are 'trial' and 'sale'.

    • po_number

      string — The purchase order's number.

  • amend_subscriptions

    array — The order details for amending an existing subscription.

    Items:

    • add_add_ons

      array — The offer details for add-ons to be added in the subscription.

      Items:

      • offer_price_list_id (required)

        string — The offer's price list ID.

      • offer_attributes

        array — The offer's specific attributes, such as the hosts, participant capacity, and so on.

        Items:

        • name

          string — The attribute's name.

        • value

          string — The attribute's value.

      • partner_sku_code

        string — The unique SKU code for partners.

      • quantity

        integer — The number of licenses. Quantity is not applicable for flat-fee charges. For other charges should be between minimum and maximum allowed for the plan. Defaults to applicable value if left blank.

      • start_date

        string, format: YYYY-MM-DD — The change start date. It should be between today and the subscription end date.

    • add_offers

      array — The offer details for offers to be added in the subscription.

      Items:

      • offer_price_list_id (required)

        string — The offer price's list ID.

      • offer_attributes

        array — The offer's specific attributes, such as the number of hosts, participant capacity, and so on.

        Items:

        • name

          string — The attribute's name.

        • value

          string — The attribute's value.

      • partner_sku_code

        string — The unique SKU code for partners.

      • quantity

        integer — The number of licenses. Quantity is not applicable for flat-fee charges. For other charges should be between minimum and maximum allowed for the plan. Defaults to applicable value if left blank.

      • start_date

        string, format: YYYY-MM-DD — The change start date. It should be between today and the subscription end date.

    • cancel_subscription

      object — Cancellation details.

      • cancel_reason (required)

        string — Reason for cancellation.

      • cancel_by

        string, possible values: "EndOfCurrentTerm", "EndOfLastInvoicePeriod", "SpecificDate" — When the subscription will be cancelled. Required for paid subscriptions. Currently only 'EndOfCurrentTerm' is supported.

      • cancel_on

        string, format: YYYY-MM-DD — Must be provided if cancel_by is SpecificDate.

    • remove_offers

      array — The offer details for offers to be removed from the subscription.

      Items:

      • end_date (required)

        string, format: YYYY-MM-DD — The date when the offer will be removed. It should be between today and the subscription end date.

      • offer_price_list_id (required)

        string — The offer price list ID for the offer to be removed from the subscription.

      • partner_sku_code

        string — The unique SKU code for partners.

      • remove_reason

        string — The reason for cancellation.

      • subscription_price_list_id

        string — The unique ID for a pricelist in the subscription. Required if there are more than 1 lines in the subscription for this pricelist.

    • renew_subscription

      object — Renewal details.

      • renewal_term

        object — Subscription initial, renewal or current term.

        • term_type (required)

          string, possible values: "TERMED" — The type of the subscription term. If the subscription is TERMED, then 'term_period' field is also required.

        • end_date

          string, format: YYYY-MM-DD — End date of the term, in YYYY-MM-DD format.

        • start_date

          string, format: YYYY-MM-DD — Start date of the term, in YYYY-MM-DD format.

        • term_period

          integer, possible values: 12, 24, 36, 48, 60 — The duration of the term in months. Only applicable if the value of the `term_type` field is TERMED. Allowed values are 12, 24, 36, 48, 60.

    • subscription_number

      string — The subscription number of the subscription being updated. Required for a paid subscription amendment.

    • update_offers

      array — Update terms and quantity of an offer or add-on.

      Items:

      • offer_price_list_id (required)

        string — Offer price list ID for the offer to be updated.

      • start_date (required)

        string, format: YYYY-MM-DD — Change start date. Should be between today and subscription end date.

      • offer_attributes

        array — Offer specific attributes like number of hosts, participant capacity, etc.

        Items:

        • name

          string — Attribute name.

        • value

          string — Attribute value.

      • partner_sku_code

        string — Unique SKU code for partners.

      • quantity

        integer — The number of licenses. Quantity is not applicable for flat-fee charges. For other charges should be between minimum and maximum allowed for the plan. Defaults to applicable value if left blank.

      • subscription_price_list_id

        string — The unique ID for a pricelist in the subscription. Required if there are more than 1 lines in the subscription for this pricelist.

    • update_subscription

      object — Update paid subscription attributes.

      • auto_renew

        boolean — Whether the subscription automatically renews at the end of each term. Only applicable if the initial term type is TERMED. If auto_renew is true, providing renewal_term is required.

      • end_customer_language

        string, possible values: "es-ES;", "de-DE;", "fr-FR;", "ja-JP;", "en-US;" — The language to be used to set communication and invoice profile for the end customer.

      • professional_services

        object — Set professional services requirements. Required for Zoom Contact Center (ZCX) deals.

        • requires_professional_services (required)

          string, possible values: "Yes, my organization will do the deployment", "Yes, Zoom will do the deployment", "Yes, a different organization will do the deployment", "No, the platform is already deployed", "No, the customer doesn't want deployment", "No, other reason" — Set professional services requirements for this subscription. Required if subscription contains ZCX offer.

        • deployment_partner

          object — Required if 'requires_professional_services' is set to 'Yes, a different organization will do the deployment'.

          • deployment_partner_address

            object — The address details. Required with 'deployment_partner_name'.

            • city (required)

              string — The city name.

            • country (required)

              string — The country's ISO code.

            • line_1 (required)

              string — The street address.

            • postal_code (required)

              string — The postal or zip code number.

            • state (required)

              string — The state or province.

          • deployment_partner_crm_account_number

            string — Deployment partner CRM number. Required if 'deployment_partner_name' is blank.

          • deployment_partner_name

            string — The deployment partner's name. Required if 'deployment_partner_crm_account_number' is blank.

        • is_zoom_pso_org_engaged

          string, possible values: "Yes and I have a PSO Engagement Request ID", "Yes, but I need an Engagement Request to be created", "No, I need to start now" — Required if 'requires_professional_services' is set to 'Yes, Zoom will do the deployment'.

        • professional_services_description

          string — A description of the partner-led professional or managed services should be provided if `requires_professional_services` is true.

        • pso_engagement_request_id

          string — Required if `is_zoom_pso_org_engaged` is set to `Yes and I have a PSO Engagement Request ID`.

      • renewal_term

[...]
